Перейти к содержимому

Update conversion goal

PATCH
/api/v1/conversions/goals/{id}
curl --request PATCH \
--url https://example.com/api/v1/conversions/goals/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "Purchase", "key": "purchase", "description": "User completed a purchase", "isActive": true, "collectionId": {} }'
id
required
string

Goal UUID

Media typeapplication/json
object
name
string
<= 100 characters

Example

Purchase
key

URL-safe slug (3-50 chars, lowercase alphanumeric, hyphens, underscores)

string

Example

purchase
description
string

Example

User completed a purchase
isActive
boolean

Example

true
collectionId

Set to a collection UUID to scope, or null to unscope

object

Goal updated